import ColHeader from '@/components/col-header'
import ColSearch from '@/components/col-search'
import request from '@/helpers/request'
import { state } from '@/state'
import { Popup, Sticky } from 'vant'
import { defineComponent } from 'vue'
import OrganSearch from '../practice-class/model/organ-search'
import styles from './teacher-elegant.module.less'

export default defineComponent({
  data() {
    return {
      searchStatus: false,
      openStatus: false,
      subjectList: [],
      params: {
        subjectId: null as any,
        subjectName: ''
      }
    }
  },
  async mounted() {
    this.params.subjectId = state.user.data?.subjectId || null
    this.params.subjectName = state.user.data?.subjectName || ''
    try {
      const res = await request.get('/api-student/subject/subjectSelect')
      this.subjectList = res.data || []
    } catch {}
  },
  methods: {
    onSort() {}
  },
  render() {
    return (
      <div class={styles['teacher-elegant']}>
        <Sticky offsetTop={0}>
          <ColHeader
            class={styles.classHeader}
            border={false}
            background="transparent"
            isFixed={false}
          />
          <ColSearch
            placeholder="请输入老师名称/课程名称"
            showAction
            onSearch={this.onSearch}
          />
        </Sticky>

        <Popup
          show={this.searchStatus}
          position="bottom"
          round
          closeable
          safe-area-inset-bottom
          onClose={() => (this.searchStatus = false)}
          onClosed={() => (this.openStatus = false)}
        >
          {this.openStatus && (
            <OrganSearch
              subjectList={this.subjectList}
              onSort={this.onSort}
              v-model={this.params.subjectId}
              v-model:subjectName={this.params.subjectName}
            />
          )}
        </Popup>
      </div>
    )
  }
})
